Jump to content

1.20 patch, another week from now?


Recommended Posts

iam skipping the brits for now, but i want to know if the 1.20 patch for the CMSF/marines is comming out a week after the brits as it was with the marines too.

if yes, thats a good move, however i should be able to resist spending 25$ just to get the patch.

thanks,

Link to comment
Share on other sites

lol, i just suck. one should think that i could resist getting the module at least maybe a day or so, but i utterly failed.

i feel a little like this fella here, i suspect he couldnt resist longer then a few moments after the photo was taken. ME WANTS BANANAS!!! ALL of them NOW :D

[ugh, how pathetic am i!?]

dang, anyways, lets have some fun with the tommys!!!

2584999922_e268dd9ebc.jpg?v=0

Link to comment
Share on other sites

Woot woot, I just bagged & tagged the Brits+Marines module bundle! :D

I'm guessing somebody from BF will be by this thread so I 'll ask another quick question. My order is by mail, so is it ok to install the 1.20 patch prior to installing the Marines/Brits mods? I'm assuming yes, no problem.

Link to comment
Share on other sites

So wait, if I purchase and download the British Module does it include patch 1.20? I seem to recall reading that the Marine Module needs to be patched separately. How do I do this if the patch isn't out yet? What about the original game, does the British Module update that automatically?

Link to comment
Share on other sites

lol, i just suck. one should think that i could resist getting the module at least maybe a day or so, but i utterly failed.

US$ 25,- are a joke, anyway; especially if I look at any of my daily "Billa" (Austrian supermarket chain) bills ...

Best regards,

Thomm

Link to comment
Share on other sites

yea Thomm, actually youre absulutely right, i just skip eating for one and a half day and i have regained the 20€ to 23€ i just spent.

20€ food doesnt gives me as much enjoyment as a 20€ CMSF module. the food will go down the WC the next day, CMBF will entertain me many month to come :D

btw. BFC servers are really nice. i DLed the module in about 3 to 4 minutes or so. about 1.6MB/s DL speed.

Link to comment
Share on other sites

So instead of having all of this ready upon release you've decided to make it so that if someone owns the base game from Paradox they are unable to play with some who has the latest British version downloaded from your website. Why wouldn't you have this all ready at the same time? I think it would have been the professional thing to do.

Link to comment
Share on other sites

So instead of having all of this ready upon release you've decided to make it so that if someone owns the base game from Paradox they are unable to play with some who has the latest British version downloaded from your website. Why wouldn't you have this all ready at the same time? I think it would have been the professional thing to do.

Wait... you want everyone else's pleasure in playing the Brits delayed because you can't wait the one week? I suggest you keep that to yourself. Any number of refreshing monkeys will tear you in half if you get between them and the Brits. ;)

You are aware you can just make a duplicate of your CMSF folder, keep one and upgrade the other? You can use the old copy to play with someone who doesn't own a module.

But you are right about one thing. BFC are often not very professional. But that's mainly because they prefer to be decent human beings instead. They are also known to be poor at PR, making such basic errors as *gasp* telling the truth! It's their "unprofessionalism" that I like most about BFC as a company.

Link to comment
Share on other sites

So instead of having all of this ready upon release you've decided to make it so that if someone owns the base game from Paradox they are unable to play with some who has the latest British version downloaded from your website. Why wouldn't you have this all ready at the same time? I think it would have been the professional thing to do.

Basically the problem with this is that the standalone patch is a whole new set of installers to compile and test. Releasing both at the same time would mean that someone would be waiting for something for longer than they have to, because BFC doesn't have the manpower to simultaneously compile and test both installers. Since many, many people here wanted the Brits module, it makes more sense for BFC to compile, test, and release the British installers first and then get around to the standalone patch. :)

Link to comment
Share on other sites

So instead of having all of this ready upon release you've decided to make it so that if someone owns the base game from Paradox they are unable to play with some who has the latest British version downloaded from your website. Why wouldn't you have this all ready at the same time? I think it would have been the professional thing to do.

Welcome to the forums...... I think?

One of the worst first posts I've ever seen. :rolleyes:

Link to comment
Share on other sites

I've been around alot of gaming forums and I've never seen such support for a developer who has basically divided the community by putting people on different versions of the game. So now that I know what kind of community I'm dealing with I guess I will changed my tune.

Thank you for making it so I cannot play with my friends unless I spend the money on your Brit pack.

Is that better?

Link to comment
Share on other sites

I hadn't even noticed you were new here. Welcome to the forums!

Having said that, there is an attitude coming from your posts that you'd do well to drop.

Anyway, you may want to re-read my first post in this thread again.

All that is needed is that your opponents copy their 1.11 game in to a different directory. They can then install the module on top of one version and play you with the other.

Alternatively, your are requested to wait one week for the patch.

Either way, I find very little need for your dramatics. Dividing the community? Puh-lease!

Link to comment
Share on other sites

I didn't know you could judge someone's attitude by reading text. Yes, I'm brand new to the community and while I love the game, the way they handle this release has certainly put a bad taste in my mouth. I'm not going to ask my friends to go back and uninstall and reinstall their games, patch it up to 1.11, make a copy, then install the Brit stuff. I don't care how big or small a developer is or how big or small the community is, forcing different versions of the same game is bad business.

Link to comment
Share on other sites

I didn't know you could judge someone's attitude by reading text.

you had less trouble with it when you said:

"So now that I know what kind of community I'm dealing with I guess I will changed my tune."

That's some judging skillz, as I only formed an opinion about you based on what you wrote, you managed to form an opinion about the entire community here.

Yes, I'm brand new to the community and while I love the game, the way they handle this release has certainly put a bad taste in my mouth. I'm not going to ask my friends to go back and uninstall and reinstall their games, patch it up to 1.11, make a copy, then install the Brit stuff. I don't care how big or small a developer is or how big or small the community is, forcing different versions of the same game is bad business.

Except they aren't forcing it. And why, if it is such a big issue as you claim it is, won't you use the simple method I outlined to fix it?

A lot of people are VERY happy to get their hands on the Brit module ASAP, and wouldn't have liked waiting longer for the patch to be completed too. So BFC have given it to them.

People who play online can continue to do so with simple measures, or could wait a mere week. No one needs to be negatively affected by their decision. though it would seem you are.

It's you who doesn't want to wait a week, you who doesn't want to fix the issue. And you think BFC is the source of your problem? :rolleyes:

Link to comment
Share on other sites

monty67t;

hi there, welcome;

i think you just have "bad luck" that brits came out now. it was the same with Marines. between release and the patch for the "old version" is mostly a week.

in this week "only", the guys wich bought the module have the new patch(1.20) and the ones wich wait for the patch will need to wait for about a week. so in a few days when 1.20 for CMSF and Marines comes out you can play multiplayer with any other version again.

if a friend of you has only CMSF and you have CMSF+Brits for example, you can play MP with him as long as you dont use british units. i dont hope you expect that people wich do not have a certain module can play the module in MP with people wich have this module. this would be odd, wouldnt it!?

Link to comment
Share on other sites

Let me explain my specific situation. My friend has been playing CMSF for a long time. He had the base game and the Marines module at version 1.11. He turned me on to the game and after playing the demo I was hooked. So I purchased the base game which I patched to version 1.11 and we were able to play for one time before the British module was released. My friend immediately purchased the British module which I was unable to do at the time. So after immediately purchasing the game I was unable to play with my friend. Can you honestly not understand the frustration in that?

Link to comment
Share on other sites

Let me explain my specific situation. My friend has been playing CMSF for a long time. He had the base game and the Marines module at version 1.11. He turned me on to the game and after playing the demo I was hooked. So I purchased the base game which I patched to version 1.11 and we were able to play for one time before the British module was released. My friend immediately purchased the British module which I was unable to do at the time. So after immediately purchasing the game I was unable to play with my friend. Can you honestly not understand the frustration in that?

Yeah, I can understand it. However it probably would have been incumbent upon your friend to resist the tempation to install the Brits module until you could have patched your game since your friend should have known prior to installing the Brits module that your games would be incompatible after he installed it. Even now your friend could theoretically uninstall his Brits module until you can patch your game up to 1.20 thus allowing you and your friend to carry on as before.

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...